import request from '@/utils/request'

// 查询手提式/小推车式灭火器/灭火器材箱列表
export function listAnnihilator(query) {
  return request({
    url: '/fire/annihilator/list',
    method: 'get',
    params: query
  })
}

// 查询手提式/小推车式灭火器/灭火器材箱详细
export function getAnnihilator(id) {
  return request({
    url: '/fire/annihilator/' + id,
    method: 'get'
  })
}

// 新增手提式/小推车式灭火器/灭火器材箱
export function addAnnihilator(data) {
  return request({
    url: '/fire/annihilator',
    method: 'post',
    data: data
  })
}

// 修改手提式/小推车式灭火器/灭火器材箱
export function updateAnnihilator(data) {
  return request({
    url: '/fire/annihilator',
    method: 'put',
    data: data
  })
}

// 删除手提式/小推车式灭火器/灭火器材箱
export function delAnnihilator(id) {
  return request({
    url: '/fire/annihilator/' + id,
    method: 'delete'
  })
}
